Bug 1463579 - local variable 'exc' referenced before assignment
local variable 'exc' referenced before assignment
Status: CLOSED CURRENTRELEASE
Product: Repoman
Classification: Community
Component: Core (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: 2.0
: ---
Assigned To: Sandro Bonazzola
Eyal Edri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 05:15 EDT by Sandro Bonazzola
Modified: 2017-12-14 00:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-14 00:07:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 82706 None None None 2017-10-12 05:50 EDT

  None (edit)
Description Sandro Bonazzola 2017-06-21 05:15:40 EDT
Seen while running ovirt-system-test-manual: http://jenkins.ovirt.org/job/ovirt-system-tests_manual/664/artifact/exported-artifacts/lago_logs/lago.log

2017-06-21 08:32:35,482::ERROR::repoman.common.sources.jenkins::Failed to download http://jenkins.ovirt.org/job/ovirt-engine_master_build-artifacts-on-demand-el7-x86_64/222/artifact/exported-artifacts/ after -1 tries
Traceback (most recent call last):
  File "/bin/repoman", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/repoman/cmd.py", line 455, in main
    exit_code = do_add(args, config, repo)
  File "/usr/lib/python2.7/site-packages/repoman/cmd.py", line 338, in do_add
    repo.add_source(art_src.strip())
  File "/usr/lib/python2.7/site-packages/repoman/common/repo.py", line 157, in add_source
    self.parse_source_stream(conf_file_fd)
  File "/usr/lib/python2.7/site-packages/repoman/common/repo.py", line 193, in parse_source_stream
    self.add_source(line.strip())
  File "/usr/lib/python2.7/site-packages/repoman/common/repo.py", line 175, in add_source
    artifact_paths = self.parser.parse(artifact_source)
  File "/usr/lib/python2.7/site-packages/repoman/common/parser.py", line 74, in parse
    result = source.expand(source_str)
  File "/usr/lib/python2.7/site-packages/repoman/common/sources/jenkins.py", line 91, in expand
    raise exc
UnboundLocalError: local variable 'exc' referenced before assignment

Note You need to log in before you can comment on or make changes to this bug.